#include <iostream>
#include <cstdio>
#include <set>
#include <map>
#include <vector>

using namespace std;

int main()
{
	int n;
	while (scanf("%d\n", &n) > 0)
	{
		vector<string> trib(n);
		for (int i = 0; i < n; ++i)
			cin >> trib[i];

		map<char, int> cnts;
		char john = 0;
		int jrow, jcol;
		for (int i = 0; i < n; ++i)
			for (int j = 0; j < n; ++j)
				++cnts[trib[i][j]];

		set<char> sample;
		for (map<char, int>::iterator itr = cnts.begin(); itr != cnts.end(); ++itr)
		{
			if (itr->second == n - 1)
				john = itr->first;

			if (itr->second == n - 1 || itr->second == n || itr->second == n + 1)
				sample.insert(itr->first);
		}

		for (int i = 0; i < n; ++i)
		{
			set<char> currR, currC;
			for (int j = 0; j < n; ++j)
				currR.insert(trib[i][j]), currC.insert(trib[j][i]);

			if (currR != sample)
				jrow = i;
			if (currC != sample)
				jcol = i;
		}

		printf("%d %d %c\n", jrow + 1, jcol + 1, john);
	}
	
	return 0;
}

